/*
 * Copyright (c) 2015 Goldman Sachs.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * and Eclipse Distribution License v. 1.0 which accompany this distribution.
 * The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 * and the Eclipse Distribution License is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 */

/**
 * This package contains factory API for creating instances of type {@link org.eclipse.collections.api.list.ListIterable}.
 * <p>
 *      This package contains the following interfaces:
 * <ul>
 *     <li>
 *          {@link org.eclipse.collections.api.factory.list.FixedSizeListFactory} - a factory which creates instances of type {@link org.eclipse.collections.api.list.FixedSizeList}.
 *     </li>
 *     <li>
 *          {@link org.eclipse.collections.api.factory.list.ImmutableListFactory} - a factory which creates instances of type {@link org.eclipse.collections.api.list.ImmutableList}.
 *     </li>
 *     <li>
 *          {@link org.eclipse.collections.api.factory.list.MutableListFactory} - a factory which creates instances of type {@link org.eclipse.collections.api.list.MutableList}.
 *     </li>
 * </ul>
 */
package org.eclipse.collections.api.factory.list;
