/*
 * Copyright (c) 2016 Goldman Sachs.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * and Eclipse Distribution License v. 1.0 which accompany this distribution.
 * The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 * and the Eclipse Distribution License is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 */

package org.eclipse.collections.test;

import org.junit.Test;

import static org.eclipse.collections.impl.test.Verify.assertThrows;

public interface UnmodifiableCollectionTestCase extends CollectionTestCase, UnmodifiableIterableTestCase
{
    @Override
    @Test
    default void Collection_add()
    {
        assertThrows(UnsupportedOperationException.class, () -> this.newWith(1, 2, 3).add(4));
    }

    @Override
    @Test
    default void Collection_remove()
    {
        assertThrows(UnsupportedOperationException.class, () -> this.newWith(1, 2, 3).remove(3));
    }

    @Override
    @Test
    default void Collection_clear()
    {
        assertThrows(UnsupportedOperationException.class, () -> this.newWith(1, 2, 3).clear());
    }

    @Override
    @Test
    default void Iterable_remove()
    {
        UnmodifiableIterableTestCase.super.Iterable_remove();
    }
}
